'use strict';

var index = require('./index-DSiE2De_.js');

const DgaDateFieldUsage = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.value = '';
    }
    render() {
        return (index.h("div", { key: '6a37acaca6b95b061027a22ea9d63e146c6d4fee' }, index.h("h1", { key: '18ea23146e81aa4f76ed811c0f645aa62553cf59' }, "Date Field Example"), index.h("div", { key: '92cb20c17e2de92fef76d145601fdd98665bf771', style: { padding: '50px' } }, index.h("div", { key: '7461c66c0cbb96010a296a94bc8650689c9c5370', style: { display: "flex", flexDirection: "column", gap: "16px" } }, index.h("input", { key: '113c6985f800d48972236db9adf2bbc9daaedc85', type: "date", value: this.value, onChange: (e) => this.value = e.target.value }), index.h("dga-date-field", { key: '562d46619fc478bc9f7fd4d0d001e2617fbbe9f7', value: this.value, onChange: (e) => this.value = e.target.value })))));
    }
};

exports.dga_date_field_usage = DgaDateFieldUsage;
